"""add DimRoomAct to DM

Revision ID: 8b6f4a99f692
Revises: d459997cd681
Create Date: 2024-05-10 13:30:35.664660

"""

import os

import sqlalchemy as sa
from alembic import op


# revision identifiers, used by Alembic.
revision = '8b6f4a99f692'
down_revision = 'd459997cd681'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table_schema("DM_TIMETABLE")
    op.create_table(
        'dim_room_act',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('api_id', sa.Integer(), nullable=False),
        sa.Column('name', sa.String(), nullable=True),
        sa.Column('room_direction_text_type', sa.String(), nullable=True),
        sa.Column('is_deleted', sa.Boolean(), nullable=False),
        sa.Column('department', sa.String(), nullable=True),
        sa.PrimaryKeyConstraint('id'),
        schema='DM_TIMETABLE',
    )
    op.create_group(
        "test_dwh_dm_timetable_read" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_read"
    )
    op.create_group(
        "test_dwh_dm_timetable_write" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_write"
    )
    op.create_group(
        "test_dwh_dm_timetable_all" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_all"
    )
    op.grant_on_schema(
        "test_dwh_dm_timetable_read" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_read",
        "DM_TIMETABLE",
    )
    op.grant_on_schema(
        "test_dwh_dm_timetable_write" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_write",
        "DM_TIMETABLE",
    )
    op.grant_on_schema(
        "test_dwh_dm_timetable_all" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_all",
        "DM_TIMETABLE",
    )
    op.grant_on_table(
        "test_dwh_dm_timetable_read" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_read",
        ['SELECT'],
        '"DM_TIMETABLE".dim_room_act',
    )
    op.grant_on_table(
        "test_dwh_dm_timetable_write" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_write",
        ['SELECT', 'UPDATE', 'DELETE', 'TRUNCATE', 'INSERT'],
        '"DM_TIMETABLE".dim_room_act',
    )
    op.grant_on_table(
        "test_dwh_dm_timetable_all" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_all",
        ['ALL'],
        '"DM_TIMETABLE".dim_room_act',
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.revoke_on_table(
        "test_dwh_dm_timetable_all" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_all",
        ['ALL'],
        '"DM_TIMETABLE".dim_room_act',
    )
    op.revoke_on_table(
        "test_dwh_dm_timetable_write" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_write",
        ['SELECT', 'UPDATE', 'DELETE', 'TRUNCATE', 'INSERT'],
        '"DM_TIMETABLE".dim_room_act',
    )
    op.revoke_on_table(
        "test_dwh_dm_timetable_read" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_read",
        ['SELECT'],
        '"DM_TIMETABLE".dim_room_act',
    )
    op.revoke_on_schema(
        "test_dwh_dm_timetable_all" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_all",
        "DM_TIMETABLE",
    )
    op.revoke_on_schema(
        "test_dwh_dm_timetable_write" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_write",
        "DM_TIMETABLE",
    )
    op.revoke_on_schema(
        "test_dwh_dm_timetable_read" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_read",
        "DM_TIMETABLE",
    )
    op.drop_table('dim_room_act', schema='DM_TIMETABLE')
    op.delete_group(
        "test_dwh_dm_timetable_all" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_all"
    )
    op.delete_group(
        "test_dwh_dm_timetable_write" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_write"
    )
    op.delete_group(
        "test_dwh_dm_timetable_read" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_dm_timetable_read"
    )
    op.drop_table_schema("DM_TIMETABLE")
    # ### end Alembic commands ###
