"""Github STG issues and commits

Revision ID: d80ebb009b4e
Revises: d459997cd681
Create Date: 2024-05-11 13:08:51.532008

"""

import os

import sqlalchemy as sa
from alembic import op


# revision identifiers, used by Alembic.
revision = 'd80ebb009b4e'
down_revision = 'd459997cd681'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'profcomff_commit',
        sa.Column('sha', sa.String(), nullable=False),
        sa.Column('repo_id', sa.Integer(), nullable=False),
        sa.Column('node_id', sa.String(), nullable=True),
        sa.Column('commit_author_name', sa.String(), nullable=True),
        sa.Column('commit_author_email', sa.String(), nullable=True),
        sa.Column('commit_author_date', sa.String(), nullable=True),
        sa.Column('commit_committer_name', sa.String(), nullable=True),
        sa.Column('commit_committer_email', sa.String(), nullable=True),
        sa.Column('commit_committer_date', sa.String(), nullable=True),
        sa.Column('commit_message', sa.String(), nullable=True),
        sa.Column('commit_tree_sha', sa.String(), nullable=True),
        sa.Column('commit_tree_url', sa.String(), nullable=True),
        sa.Column('commit_url', sa.String(), nullable=True),
        sa.Column('commit_comment_count', sa.Integer(), nullable=True),
        sa.Column('commit_verification_verified', sa.Boolean(), nullable=True),
        sa.Column('commit_verification_reason', sa.String(), nullable=True),
        sa.Column('commit_verification_signature', sa.String(), nullable=True),
        sa.Column('commit_verification_payload', sa.String(), nullable=True),
        sa.Column('url', sa.String(), nullable=True),
        sa.Column('html_url', sa.String(), nullable=True),
        sa.Column('comments_url', sa.String(), nullable=True),
        sa.Column('author_login', sa.String(), nullable=True),
        sa.Column('author_id', sa.Integer(), nullable=True),
        sa.Column('author_node_id', sa.String(), nullable=True),
        sa.Column('author_avatar_url', sa.String(), nullable=True),
        sa.Column('author_gravatar_id', sa.String(), nullable=True),
        sa.Column('author_url', sa.String(), nullable=True),
        sa.Column('author_html_url', sa.String(), nullable=True),
        sa.Column('author_followers_url', sa.String(), nullable=True),
        sa.Column('author_following_url', sa.String(), nullable=True),
        sa.Column('author_gists_url', sa.String(), nullable=True),
        sa.Column('author_starred_url', sa.String(), nullable=True),
        sa.Column('author_subscriptions_url', sa.String(), nullable=True),
        sa.Column('author_organizations_url', sa.String(), nullable=True),
        sa.Column('author_repos_url', sa.String(), nullable=True),
        sa.Column('author_events_url', sa.String(), nullable=True),
        sa.Column('author_received_events_url', sa.String(), nullable=True),
        sa.Column('author_type', sa.String(), nullable=True),
        sa.Column('author_site_admin', sa.String(), nullable=True),
        sa.Column('committer_login', sa.String(), nullable=True),
        sa.Column('committer_id', sa.Integer(), nullable=True),
        sa.Column('committer_node_id', sa.String(), nullable=True),
        sa.Column('committer_avatar_url', sa.String(), nullable=True),
        sa.Column('committer_gravatar_id', sa.String(), nullable=True),
        sa.Column('committer_url', sa.String(), nullable=True),
        sa.Column('committer_html_url', sa.String(), nullable=True),
        sa.Column('committer_followers_url', sa.String(), nullable=True),
        sa.Column('committer_following_url', sa.String(), nullable=True),
        sa.Column('committer_gists_url', sa.String(), nullable=True),
        sa.Column('committer_starred_url', sa.String(), nullable=True),
        sa.Column('committer_subscriptions_url', sa.String(), nullable=True),
        sa.Column('committer_organizations_url', sa.String(), nullable=True),
        sa.Column('committer_repos_url', sa.String(), nullable=True),
        sa.Column('committer_events_url', sa.String(), nullable=True),
        sa.Column('committer_received_events_url', sa.String(), nullable=True),
        sa.Column('committer_type', sa.String(), nullable=True),
        sa.Column('committer_site_admin', sa.String(), nullable=True),
        sa.Column('parents', sa.String(), nullable=True),
        sa.Column('author', sa.String(), nullable=True),
        sa.Column('committer', sa.String(), nullable=True),
        sa.PrimaryKeyConstraint('sha', 'repo_id'),
        schema='STG_GITHUB',
    )
    op.create_table(
        'profcomff_issue',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('repo_id', sa.Integer(), nullable=False),
        sa.Column('url', sa.String(), nullable=True),
        sa.Column('repository_url', sa.String(), nullable=True),
        sa.Column('labels_url', sa.String(), nullable=True),
        sa.Column('comments_url', sa.String(), nullable=True),
        sa.Column('events_url', sa.String(), nullable=True),
        sa.Column('html_url', sa.String(), nullable=True),
        sa.Column('node_id', sa.String(), nullable=True),
        sa.Column('number', sa.Integer(), nullable=True),
        sa.Column('title', sa.String(), nullable=True),
        sa.Column('user_login', sa.String(), nullable=True),
        sa.Column('user_id', sa.Integer(), nullable=True),
        sa.Column('user_node_id', sa.String(), nullable=True),
        sa.Column('user_avatar_url', sa.String(), nullable=True),
        sa.Column('user_gravatar_id', sa.String(), nullable=True),
        sa.Column('user_url', sa.String(), nullable=True),
        sa.Column('user_html_url', sa.String(), nullable=True),
        sa.Column('user_followers_url', sa.String(), nullable=True),
        sa.Column('user_following_url', sa.String(), nullable=True),
        sa.Column('user_gists_url', sa.String(), nullable=True),
        sa.Column('user_starred_url', sa.String(), nullable=True),
        sa.Column('user_subscriptions_url', sa.String(), nullable=True),
        sa.Column('user_organizations_url', sa.String(), nullable=True),
        sa.Column('user_repos_url', sa.String(), nullable=True),
        sa.Column('user_events_url', sa.String(), nullable=True),
        sa.Column('user_received_events_url', sa.String(), nullable=True),
        sa.Column('user_type', sa.String(), nullable=True),
        sa.Column('user_site_admin', sa.String(), nullable=True),
        sa.Column('labels', sa.String(), nullable=True),
        sa.Column('state', sa.String(), nullable=True),
        sa.Column('locked', sa.String(), nullable=True),
        sa.Column('assignee', sa.String(), nullable=True),
        sa.Column('assignees', sa.String(), nullable=True),
        sa.Column('milestone', sa.String(), nullable=True),
        sa.Column('comments', sa.Integer(), nullable=True),
        sa.Column('created_at', sa.String(), nullable=True),
        sa.Column('updated_at', sa.String(), nullable=True),
        sa.Column('closed_at', sa.String(), nullable=True),
        sa.Column('author_association', sa.String(), nullable=True),
        sa.Column('active_lock_reason', sa.String(), nullable=True),
        sa.Column('body', sa.String(), nullable=True),
        sa.Column('reactions_url', sa.String(), nullable=True),
        sa.Column('reactions_total_count', sa.Integer(), nullable=True),
        sa.Column('reactions_like', sa.Integer(), nullable=True),
        sa.Column('reactions_dislike', sa.Integer(), nullable=True),
        sa.Column('reactions_laugh', sa.Integer(), nullable=True),
        sa.Column('reactions_hooray', sa.Integer(), nullable=True),
        sa.Column('reactions_confused', sa.Integer(), nullable=True),
        sa.Column('reactions_heart', sa.Integer(), nullable=True),
        sa.Column('reactions_rocket', sa.Integer(), nullable=True),
        sa.Column('reactions_eyes', sa.Integer(), nullable=True),
        sa.Column('timeline_url', sa.String(), nullable=True),
        sa.Column('performed_via_github_app', sa.String(), nullable=True),
        sa.Column('state_reason', sa.String(), nullable=True),
        sa.Column('assignee_login', sa.String(), nullable=True),
        sa.Column('assignee_id', sa.Integer(), nullable=True),
        sa.Column('assignee_node_id', sa.String(), nullable=True),
        sa.Column('assignee_avatar_url', sa.String(), nullable=True),
        sa.Column('assignee_gravatar_id', sa.String(), nullable=True),
        sa.Column('assignee_url', sa.String(), nullable=True),
        sa.Column('assignee_html_url', sa.String(), nullable=True),
        sa.Column('assignee_followers_url', sa.String(), nullable=True),
        sa.Column('assignee_following_url', sa.String(), nullable=True),
        sa.Column('assignee_gists_url', sa.String(), nullable=True),
        sa.Column('assignee_starred_url', sa.String(), nullable=True),
        sa.Column('assignee_subscriptions_url', sa.String(), nullable=True),
        sa.Column('assignee_organizations_url', sa.String(), nullable=True),
        sa.Column('assignee_repos_url', sa.String(), nullable=True),
        sa.Column('assignee_events_url', sa.String(), nullable=True),
        sa.Column('assignee_received_events_url', sa.String(), nullable=True),
        sa.Column('assignee_type', sa.String(), nullable=True),
        sa.Column('assignee_site_admin', sa.String(), nullable=True),
        sa.Column('draft', sa.String(), nullable=True),
        sa.Column('pull_request_url', sa.String(), nullable=True),
        sa.Column('pull_request_html_url', sa.String(), nullable=True),
        sa.Column('pull_request_diff_url', sa.String(), nullable=True),
        sa.Column('pull_request_patch_url', sa.String(), nullable=True),
        sa.Column('pull_request_merged_at', sa.String(), nullable=True),
        sa.Column('milestone_url', sa.String(), nullable=True),
        sa.Column('milestone_html_url', sa.String(), nullable=True),
        sa.Column('milestone_labels_url', sa.String(), nullable=True),
        sa.Column('milestone_id', sa.Integer(), nullable=True),
        sa.Column('milestone_node_id', sa.String(), nullable=True),
        sa.Column('milestone_number', sa.Integer(), nullable=True),
        sa.Column('milestone_title', sa.String(), nullable=True),
        sa.Column('milestone_description', sa.String(), nullable=True),
        sa.Column('milestone_creator_login', sa.String(), nullable=True),
        sa.Column('milestone_creator_id', sa.Integer(), nullable=True),
        sa.Column('milestone_creator_node_id', sa.String(), nullable=True),
        sa.Column('milestone_creator_avatar_url', sa.String(), nullable=True),
        sa.Column('milestone_creator_gravatar_id', sa.String(), nullable=True),
        sa.Column('milestone_creator_url', sa.String(), nullable=True),
        sa.Column('milestone_creator_html_url', sa.String(), nullable=True),
        sa.Column('milestone_creator_followers_url', sa.String(), nullable=True),
        sa.Column('milestone_creator_following_url', sa.String(), nullable=True),
        sa.Column('milestone_creator_gists_url', sa.String(), nullable=True),
        sa.Column('milestone_creator_starred_url', sa.String(), nullable=True),
        sa.Column('milestone_creator_subscriptions_url', sa.String(), nullable=True),
        sa.Column('milestone_creator_organizations_url', sa.String(), nullable=True),
        sa.Column('milestone_creator_repos_url', sa.String(), nullable=True),
        sa.Column('milestone_creator_events_url', sa.String(), nullable=True),
        sa.Column('milestone_creator_received_events_url', sa.String(), nullable=True),
        sa.Column('milestone_creator_type', sa.String(), nullable=True),
        sa.Column('milestone_creator_site_admin', sa.String(), nullable=True),
        sa.Column('milestone_open_issues', sa.Integer(), nullable=True),
        sa.Column('milestone_closed_issues', sa.Integer(), nullable=True),
        sa.Column('milestone_state', sa.String(), nullable=True),
        sa.Column('milestone_created_at', sa.String(), nullable=True),
        sa.Column('milestone_updated_at', sa.String(), nullable=True),
        sa.Column('milestone_due_on', sa.Integer(), nullable=True),
        sa.Column('milestone_closed_at', sa.Integer(), nullable=True),
        sa.PrimaryKeyConstraint('id', 'repo_id'),
        schema='STG_GITHUB',
    )
    op.grant_on_table(
        "test_dwh_stg_github_read" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_stg_github_read",
        ['SELECT'],
        '"STG_GITHUB".profcomff_commit',
    )
    op.grant_on_table(
        "test_dwh_stg_github_write" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_stg_github_write",
        ['SELECT', 'UPDATE', 'DELETE', 'TRUNCATE', 'INSERT'],
        '"STG_GITHUB".profcomff_commit',
    )
    op.grant_on_table(
        "test_dwh_stg_github_all" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_stg_github_all",
        ['ALL'],
        '"STG_GITHUB".profcomff_commit',
    )
    op.grant_on_table(
        "test_dwh_stg_github_read" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_stg_github_read",
        ['SELECT'],
        '"STG_GITHUB".profcomff_issue',
    )
    op.grant_on_table(
        "test_dwh_stg_github_write" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_stg_github_write",
        ['SELECT', 'UPDATE', 'DELETE', 'TRUNCATE', 'INSERT'],
        '"STG_GITHUB".profcomff_issue',
    )
    op.grant_on_table(
        "test_dwh_stg_github_all" if os.getenv("ENVIRONMENT") != "production" else "prod_dwh_stg_github_all",
        ['ALL'],
        '"STG_GITHUB".profcomff_issue',
    )


def downgrade():
    op.drop_table('profcomff_issue', schema='STG_GITHUB')
    op.drop_table('profcomff_commit', schema='STG_GITHUB')
